This page is for version 0.7.3.
For other versions, use one of these documentation indexes:
- Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
- 0.8.0: https://docs.nvidia.com/nemo-helix/v0.8.0/llms.txt
- 0.7.3: https://docs.nvidia.com/nemo-helix/v0.7.3/llms.txt
- 0.7.2: https://docs.nvidia.com/nemo-helix/v0.7.2/llms.txt
- 0.7.1: https://docs.nvidia.com/nemo-helix/v0.7.1/llms.txt
- 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
- 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
- 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
- 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
- 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
- 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
- 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt
GET // / apis / inference-gateway / v2 / workspaces / :workspace / virtual-models
List VirtualModels for the given workspace.
Use workspace=- to list across all workspaces accessible to the caller.
Query parameters
page integer Optional >=1Defaults to 1
page_size integer Optional 1-200Defaults to 20
Number of results per page.
sort string Optional Defaults to -created_at
Sort field. Prefix with - for descending order.
exclude_autoprovisioned boolean Optional Defaults to false
When true, controller-managed (autoprovisioned) passthrough VirtualModels are excluded from the results.
filter object Optional
Filter virtual models by workspace, project, name, default_model_entity, guardrail_config, created_at, and updated_at.
Response Paginated list of virtual models
pagination object Optional
Pagination information.
sort string Optional
The field on which the results are sorted.
filter map from strings to any Optional
Filtering information.
Errors 422 Unprocessable Entity Error